For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deceased Suppression

Retrieves deceased suppression data using the supplied id (DPID). This API is only for AUPAF Source of Truth.

Resource URL

    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/deceasedSuppression
    

Request

The request body is an AddressRestRequest object:

    {
        "payload": [ { "id": "12345678" } ], "sourceOfTruth": "AUPAF"
    }
    

Response

The response body is an AddressRestResponse object:

    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "fullAddress":null,
                "country":null,
                "postcode":null,
                "street2":null,
                "street":null,
                "streetNumber":null,
                "postal":null,
                "postalType":null,
                "postalNumber":null,
                "buildingName":null,
                "subdwelling":null,
                "eid":null,
                "lotNumber":null,
                "flatUnitNumber":null,
                "flatUnitType":null,
                "floorLevelNumber":null,
                "floorLevelType":null,
                "streetSuffix":null,
                "streetType":null,
                "streetName":null,
                "attributes":{"deceased_suppression_date":"2018-09-26"},    
                "id":"12345678",
                "state":null,
                "locality":null                
            }
        ]
    }
    

If the deceased suppression data is not found using the supplied id (DPID):

Last updated